TopStats.gg

Search

GET
/search/

Authorization

ApiKeyAuth
authorization<token>

In: header

Query Parameters

query*string

Search query string

Length0 <= length
offset?number
Default0
Range0 <= value
limit?number
Default50
Range1 <= value <= 100
includeDeleted?boolean
Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://api.topstats.gg/search/?query=string"
{
  "results": [
    {
      "id": "432610292342587392",
      "name": "Mudae",
      "short_desc": "Database of 110,000 anime/game characters: make and customize the best collection in your server. 400 commands, multiplayer games and more!",
      "avatar": "https://cdn.discordapp.com/avatars/432610292342587392/29cb28fbf65a3958105026ab03abd306.png",
      "certified": false,
      "deleted": false
    },
    {
      "id": "270904126974590976",
      "name": "UnbelievaBoat",
      "short_desc": "Economy Discord bot - Make your server more fun with economy features",
      "avatar": "https://cdn.discordapp.com/avatars/270904126974590976/avatar.png",
      "certified": false,
      "deleted": false
    }
  ],
  "total": 2
}
{
  "code": 404,
  "message": "Resource not found"
}